%% Author: Aldrin
%% Created: Nov 12, 2011
%% Description: TODO: Add description to addone
-module(addone).

%%
%% Include files
%%
-define(debug,false).
-include("macros.hrl").
%%
%% Exported Functions
%%
-export([start/1, start_mon/1, stop/0, request/1, loop/1]).

%%
%% API Functions
%%
start(StartDiff) ->
	register(addone, spawn(addone, loop, [StartDiff])).

start_mon(StartDiff) ->
	main_mon:start({?MODULE, start, [StartDiff]}, generated_monitor:property(), [addone]). 

stop() ->
	addone ! {stop, normal}.
 
request(Int) ->
	addone ! {request, self(), Int},
	receive
		{result, Result} -> Result;
		_ -> unknown_response
	end.

loop(Val) ->
	receive
		{request, Pid, Value} ->
			X = Val,
			?LOG("X=~p",[X]),
			Pid ! {result, Value + X},
			loop(Val + 1);
		{stop, _Reason} ->
			stop
	end.


