%% Author: Aldrin
%% Created: Feb 11, 2012
%% Description: TODO: Add description to m_utils
-module(m_utils).

%%
%% Include files
%%

% REFERENCE: MC ERLANG
-define(debug,true).
-include("macros.hrl").
% /REFERENCE: MC ERLANG

%%
%% Exported Functions
%%
-export([timedateFormat/0]).

-export([isSystemProcess/1]).

%%
%% API Functions

%% m_utils:timedateFormat().
timedateFormat() ->
	{{Year,Month,Day}, {Hr, Min, Sec}} = erlang:localtime(),
	FmtTimeDate = io_lib:format("~B/~B/~4..0B ~2B:~2.10.0B:~2.10.0B", [Day,Month,Year, Hr, Min, Sec]),
	lists:flatten(FmtTimeDate).
	
isSystemProcess(Pid) when is_pid(Pid) ->
    lists:member(Pid, [whereis(P) || P <- systemProcesses()]);
isSystemProcess(Pid) ->
    lists:member(Pid, systemProcesses()).

systemProcesses() ->
	[code_server, user].
